is_directed {igraph} | R Documentation

## Check whether a graph is directed

### Description

Check whether a graph is directed

### Usage

    is_directed(graph)

### Arguments

`graph` | The input graph

### Value

Logical scalar, whether the graph is directed.

### See Also

Other structural queries: `[.igraph`, `[[.igraph`, `adjacent_vertices`, `are_adjacent`, `ends`, `get.edge.ids`, `gorder`, `gsize`, `head_of`, `incident_edges`, `incident`, `neighbors`, `tail_of`

### Examples

    g <- make_ring(10)
    is_directed(g)

    g2 <- make_ring(10, directed = TRUE)
    is_directed(g2)

[Package igraph version 1.1.2 Index]